# $Id: ucspi-tcp.spec,v 1.1 2016/02/04 18:12:41 vip-ire Exp $

#
# RPM spec file for Dan Bernstein's ucspi-tcp package
#
# $Id: ucspi-tcp.spec,v 1.1 2016/02/04 18:12:41 vip-ire Exp $
#
%global debug_package %{nil}
Summary: Command-line tools for building TCP client-server applications.
%define name ucspi-tcp
Name: %{name}
%define version 0.88
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: Daniel J. Bernstein
Group: Networking/Daemons
Source: http://cr.yp.to/%{name}/%{name}-%{version}.tar.gz
URL: http://cr.yp.to/ucspi-tcp.html
Patch0: %{name}-%{version}.patch.2001020500
Patch1: %{name}-%{version}-el8.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: ucspi-tcp
AutoReqProv: no

%description
tcpserver and tcpclient are easy-to-use command-line tools for building
TCP client-server applications.

tcpserver waits for incoming connections and, for each connection, runs
a program of your choice. Your program receives environment variables
showing the local and remote host names, IP addresses, and port numbers.

tcpserver offers a concurrency limit to protect you from running out of
processes and memory. When you are handling 40 (by default) simultaneous
connections, tcpserver smoothly defers acceptance of new connections.

tcpserver also provides TCP access control features, similar to
tcp-wrappers/tcpd's hosts.allow but much faster. Its access control rules
are compiled into a hashed format with cdb, so it can easily deal with
thousands of different hosts.

This package includes a recordio tool that monitors all the input and
output of a server.

tcpclient makes a TCP connection and runs a program of your choice. It
sets up the same environment variables as tcpserver.

This package includes several sample clients built on top of tcpclient:
who@, date@, finger@, http@, tcpcat, and mconnect.

tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
Interface, using the TCP protocol. UCSPI tools are available for several
different networks.

%changelog
* Mon Mar 18 2024 Jean-Philippe Pialasse <jpp@koozali.org> 0.88-6.sme
- patch to build on el8/SME11

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Sep 21 2004 Charlie Brady <charlieb@e-smith.com>
- [0.88-04]
- Rebuild for CentOs 3.3
- Configure compiler to work around errno problem.

* Mon Feb 5 2001 Peter Samuel <peters@e-smith.com>
- [0.88-03]
- Now installs in its own root area prior to creating binary RPM.
- Default installation locations are restored.

* Thu Aug 17 2000 Peter Samuel <peters@e-smith.com>
- [0.88-2]
- added patch to change default install location

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the files or their
# final installed locations.

%patch0 -p1
%patch1 -p1

# Create the relative installation directory.

mkdir -p ./root/usr

%build
#echo gcc -O2 --include /usr/include/errno.h > conf-cc
make CC="gcc"  CFLAGS="$RPM_OPT_FLAGS --include /usr/include/errno.h"  LDFLAGS="-s"

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/local/bin/addcr
%attr(755,root,root) /usr/local/bin/argv0
%attr(755,root,root) /usr/local/bin/date@
%attr(755,root,root) /usr/local/bin/delcr
%attr(755,root,root) /usr/local/bin/finger@
%attr(755,root,root) /usr/local/bin/fixcrio
%attr(755,root,root) /usr/local/bin/http@
%attr(755,root,root) /usr/local/bin/mconnect
%attr(755,root,root) /usr/local/bin/mconnect-io
%attr(755,root,root) /usr/local/bin/rblsmtpd
%attr(755,root,root) /usr/local/bin/recordio
%attr(755,root,root) /usr/local/bin/tcpcat
%attr(755,root,root) /usr/local/bin/tcpclient
%attr(755,root,root) /usr/local/bin/tcprules
%attr(755,root,root) /usr/local/bin/tcprulescheck
%attr(755,root,root) /usr/local/bin/tcpserver
%attr(755,root,root) /usr/local/bin/who@
